%CMEROSION   Apply the erosion to an image (segments to segments)
%   segments = CMEROSION(segments,se_size)

% (C) Copyright 2002-2003               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, August 2002.

function out = cmerosion(in,sesize)

% Test
if ~isstruct(in) | ~isfield(in,'coefficients') | ~isfield(in,'offsets')
   error('Expected a segment image.')
end
N = size(in.coefficients,2);
if N~=length(in.offsets)-1
   error('Segment image is not correct.')
end
if nargin < 2
   sesize = 5;
else
   if ~isnumeric(sesize) | prod(size(sesize))~=1 | sesize<1
      error('SESIZE must be a positive scalar (larger than 1).')
   end
end

% Invert image
out = cminvert(in);
% Do the dilation
out = cmdilation(out,sesize);
% Invert the result
out = cminvert(out);
