%CMINVERT   Invert an image (create complementary image) (segments to segments)
%   segments = CMINVERT(segments)

% (C) Copyright 2002-2003               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, August 2002.

function out = cminvert(in)

% Test
if ~isstruct(in) | ~isfield(in,'coefficients') | ~isfield(in,'offsets')
   error('Expected a segment image.')
end
N = size(in.coefficients,2);
if N~=length(in.offsets)-1
   error('Segment image is not correct.')
end

% Invert image
out = in;
out.coefficients = -out.coefficients;
